
/*
 *  UTILITY.C	utility.library support
 */

#include <exec/types.h>
#include <exec/libraries.h>
#include <clib/exec_protos.h>

typedef struct Library Library;

#define LIBBASE hyper_UtilityBase
#define LIBNAME "utility.library"

Library *LIBBASE;

long
_auto_start()
{
    if (LIBBASE = OpenLibrary(LIBNAME, 0))
	return(1);
    return(0);
}

void
_auto_exit()
{
    if (LIBBASE) {
	CloseLibrary(LIBBASE);
	LIBBASE = NULL;
    }
}

